# Insert Bulk Data Inserts multiple records to the Master Data table. The /loaddata operation is a very efficient and quick way to insert bulk data to the Master Data table. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate). Use the ISO 8601 date format (YYYY-MM-DD) if a date is included in the table. See the list of bulk-loadable objects. >If used in a Groovy logic, it is recommended to use the api.addOrUpdate()) method instead of this loaddata endpoint within the boundCall(). >For more details see the Avoid api.boundCall article. > Please note > If no joinFields are provided in the request, then this operation will insert entire records. It means that in this case (without joinFields) with /loaddata it is not possible to update just some fields (for this use the /integrate endpoint instead). The source data must always contain the entire row’s content. Endpoint: POST /loaddata/{TypeCode} Security: basic, X-PriceFx-jwt ## Path parameters: - `TypeCode` (string, required) Specify the type code for the entity you want to work with. See the list of Type Codes in the Pricefx Knowledge Base article.' Enum: "ACTT", "AP", "APIK", "BD", "BPT", "BR", "C", "CA", "CAM", "CDESC", "CF", "CFS", "CFT", "CH", "CLLI", "CN", "CRCI", "CRCP", "CS", "CT", "CTAM", "CTLI", "CTMU", "CTMUI", "CTT", "CTTAM", "CTTREE", "CW", "CX", "CXAM", "DA", "DB", "DCR", "DCRAM", "DCRI", "DCRL", "DCRMC", "DCRT", "DE", "DI", "DM", "DMDC", "DMDL", "DMDS", "DMF", "DMM", "DMR", "DMT", "DREG", "DWT", "ET", "EVT", "F", "FE", "FN", "IDC", "IE", "ISH", "JST", "LAT", "LTT", "M", "MPL", "MPLAM", "MPLI", "MPLIT", "MPLT", "MR", "MRAM", "MT", "P", "PAM", "PAPIJ", "PBOME", "PCOMP", "PCW", "PDESC", "PG", "PGI", "PGIM", "PGT", "PH", "PL", "PLI", "PLIM", "PLT", "PR", "PRAM", "PREF", "PT", "PWH", "PX", "PXAM", "PXREF", "PYR", "PYRAM", "Q", "QAM", "QLI", "QMU", "QMUI", "QT", "QTT", "QTTAM", "R", "RAT", "RATM", "RBA", "RBAAM", "RBALI", "RBAT", "RBT", "RBTAM", "RR", "RRAM", "RRS", "RRSC", "RT", "SAT", "SC", "SCN", "SCNAM", "SCT", "SIAM", "SIM", "SIMI", "TFA", "TODO", "U", "UG", "US", "W", "WD", "WF", "WFE", "XPGI", "XPLI", "XSIMI" ## Request fields (application/json): - `data` (object, required) - `data.header` (array, required) Specify header field names (table columns) of the record in the target table. - `data.options` (object) Specify options of the bulk data insertion. - `data.options.detectJoinFields` (boolean, required) Set to true to use join fields definitions from the server. Set to false to specify join fields with the joinFields parameter in the request. - `data.options.joinFields` (array, required) A list of fields (that also need to appear in header and data) that make up the business key. - `data.options.conditionRecords` (object) Options applicable only for the CRCP data load. - `data.options.conditionRecords.splicing` (object) Options applicable for splicing process of the Condition Records. - `data.options.conditionRecords.splicing.setFields` (object) A list of fields for set (sets the attribute to a specified value). - `data.options.conditionRecords.splicing.resetFields` (array) A list of fields for reset (sets the attribute value to NULL). - `data.options.conditionRecords.splicing.supersedeRecords` (boolean) When enabled (set to true / ON) , the Superseding function moves the Condition Records from CRCI to CRCIH (the Historical Tables for Conditional Record Items). By default, this feature is turned off (false) and can be activated only by turning it on. - `data.data` (array, required) Specify the field values in the same order as specified in the header object. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.status` (number)